Project

Profile

Help

Story #7416

[Epic] As a plugin user, I can use the next verison of pulpcore without upgrading my plugin

Added by bmbouter 2 months ago. Updated 13 days ago.

Status:
NEW
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
% Done:

75%

Estimated time:
(Total: 0:00 h)
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 84
Quarter:

Description

Background

https://www.redhat.com/archives/pulp-dev/2020-August/msg00065.html

Timeline

This would go into effect with the pulpcore 3.7 release


Subtasks

Task #7411: Add a new "test existing plugin against next pulpcore" entry to the CI matrix in plugin_templatePOSTdkliban@redhat.com

Actions
Story #7413: As a plugin writer, I enjoy a 1-release depcrecation cycleCLOSED - CURRENTRELEASEbmbouter

Actions
Task #7415: Add CHANGES/plugin_api/.depcrecated changelog entry typeCLOSED - CURRENTRELEASEdaviddavis

Actions
Task #7421: Add deprecation support to the plugin templateCLOSED - CURRENTRELEASEdaviddavis

Actions

History

#1 Updated by daviddavis about 2 months ago

  • Sprint/Milestone set to 3.7.0
  • Sprint set to Sprint 80

#2 Updated by rchan about 2 months ago

  • Sprint changed from Sprint 80 to Sprint 81

#3 Updated by bmbouter about 1 month ago

  • Sprint/Milestone deleted (3.7.0)

#4 Updated by rchan about 1 month ago

  • Sprint changed from Sprint 81 to Sprint 82

#5 Updated by rchan 27 days ago

  • Sprint changed from Sprint 82 to Sprint 83

#6 Updated by rchan 13 days ago

  • Sprint changed from Sprint 83 to Sprint 84

Please register to edit this issue

Also available in: Atom PDF